﻿using System;
using System.Collections.ObjectModel;
using Microsoft.Phone.Controls;
using System.Windows;

namespace SampleProject
{
    public partial class MainPage : PhoneApplicationPage
    {
        private static Random rand = new Random();

        public MainPage()
        {
            this.InitializeComponent();
            this.Items = new ObservableCollection<Item>();
            this.DataContext = this.Items;
        }

        public ObservableCollection<Item> Items { get; set; }

        private void EmptySource(object sender, RoutedEventArgs e)
        {
            this.Items.Clear();
        }

        private void FillFource(object sender,  RoutedEventArgs e)
        {
            for (var i = 0; i < 10; i++)
            {
                this.Items.Add(new Item { Value = rand.Next(10, 15), Text = string.Format("item {0}", i) });
            }
        }

        private ObservableCollection<Item> GetData()
        {
            var data = new ObservableCollection<Item>();
            for (var i = 0; i < 10; i++)
            {
                data.Add(new Item { Value = rand.Next(10, 15), Text = string.Format("item {0}", i) });
            }

            return data;
        }
    }
}